be.ehealth.businessconnector.dicsv5.session.impl

## Class DicsSessionServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.dicsv5.session.impl.DicsSessionServiceImpl

- All Implemented Interfaces:
    DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class DicsSessionServiceImpl
      extends Object
      implements DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DicsSessionServiceImpl(SessionValidator sessionValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `FindAmpResponse` | `findAmp(FindAmpRequest request)`
    `FindAmppResponse` | `findAmpp(FindAmppRequest request)`
    `FindCommentedClassificationResponse` | `findCommentedClassification(FindCommentedClassificationRequest request)`
    `FindCompanyResponse` | `findCompany(FindCompanyRequest request)`
    `FindCompoundingFormulaResponse` | `findFormula(FindCompoundingFormulaRequest request)`
    `FindCompoundingIngredientResponse` | `findIngredient(FindCompoundingIngredientRequest request)`
    `FindLegislationTextResponse` | `findLegislationText(FindLegislationTextRequest request)`
    `FindListOfAmpResponse` | `findListOfAmp(FindListOfAmpRequest request)`
    `FindNonMedicinalProductResponse` | `findNonMedicinalProduct(FindNonMedicinalProductRequest request)`
    `FindReferencesResponse` | `findReferences(FindReferencesRequest request)`
    `FindReimbursementResponse` | `findReimbursement(FindReimbursementRequest request)`
    `FindVmpResponse` | `findVmp(FindVmpRequest request)`
    `FindVmpGroupResponse` | `findVmpGroup(FindVmpGroupRequest request)`
    `FindVtmResponse` | `findVtm(FindVtmRequest request)`
    `ValidateProductIdResponse` | `validateProductId(ValidateProductIdRequest request)`
    `ValidateSamIdResponse` | `validateSamId(ValidateSamIdRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DicsSessionServiceImpl

          public DicsSessionServiceImpl(SessionValidator sessionValidator)

  - ### Method Detail

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

    - #### findAmp

          public FindAmpResponse findAmp(FindAmpRequest request)
                                  throws TechnicalConnectorException,
                                         DicsException

      Specified by:
        `findAmp` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findCompany

          public FindCompanyResponse findCompany(FindCompanyRequest request)
                                          throws TechnicalConnectorException,
                                                 DicsException

      Specified by:
        `findCompany` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findVmp

          public FindVmpResponse findVmp(FindVmpRequest request)
                                  throws TechnicalConnectorException,
                                         DicsException

      Specified by:
        `findVmp` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findLegislationText

          public FindLegislationTextResponse findLegislationText(FindLegislationTextRequest request)
                                                          throws TechnicalConnectorException,
                                                                 DicsException

      Specified by:
        `findLegislationText` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findReimbursement

          public FindReimbursementResponse findReimbursement(FindReimbursementRequest request)
                                                      throws TechnicalConnectorException,
                                                             DicsException

      Specified by:
        `findReimbursement` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findReferences

          public FindReferencesResponse findReferences(FindReferencesRequest request)
                                                throws TechnicalConnectorException,
                                                       DicsException

      Specified by:
        `findReferences` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findVmpGroup

          public FindVmpGroupResponse findVmpGroup(FindVmpGroupRequest request)
                                            throws TechnicalConnectorException,
                                                   DicsException

      Specified by:
        `findVmpGroup` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findVtm

          public FindVtmResponse findVtm(FindVtmRequest request)
                                  throws TechnicalConnectorException,
                                         DicsException

      Specified by:
        `findVtm` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findCommentedClassification

          public FindCommentedClassificationResponse findCommentedClassification(FindCommentedClassificationRequest request)
                                                                          throws TechnicalConnectorException,
                                                                                 DicsException

      Specified by:
        `findCommentedClassification` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findIngredient

          public FindCompoundingIngredientResponse findIngredient(FindCompoundingIngredientRequest request)
                                                           throws TechnicalConnectorException,
                                                                  DicsException

      Specified by:
        `findIngredient` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findFormula

          public FindCompoundingFormulaResponse findFormula(FindCompoundingFormulaRequest request)
                                                     throws TechnicalConnectorException,
                                                            DicsException

      Specified by:
        `findFormula` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findAmpp

          public FindAmppResponse findAmpp(FindAmppRequest request)
                                    throws TechnicalConnectorException,
                                           DicsException

      Specified by:
        `findAmpp` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findNonMedicinalProduct

          public FindNonMedicinalProductResponse findNonMedicinalProduct(FindNonMedicinalProductRequest request)
                                                                  throws TechnicalConnectorException,
                                                                         DicsException

      Specified by:
        `findNonMedicinalProduct` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findListOfAmp

          public FindListOfAmpResponse findListOfAmp(FindListOfAmpRequest request)
                                              throws TechnicalConnectorException,
                                                     DicsException

      Specified by:
        `findListOfAmp` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### validateSamId

          public ValidateSamIdResponse validateSamId(ValidateSamIdRequest request)
                                              throws TechnicalConnectorException,
                                                     DicsException

      Specified by:
        `validateSamId` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### validateProductId

          public ValidateProductIdResponse validateProductId(ValidateProductIdRequest request)
                                                      throws TechnicalConnectorException,
                                                             DicsException

      Specified by:
        `validateProductId` in interface `DicsSessionService`
      Throws:
        `TechnicalConnectorException`
        `DicsException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.